public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthew Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/git-review/
Date: Fri, 24 Jun 2022 02:29:04 +0000 (UTC)	[thread overview]
Message-ID: <1656037729.63b4524a5b2a5a49584c4281a57205402c545f08.prometheanfire@gentoo> (raw)

commit:     63b4524a5b2a5a49584c4281a57205402c545f08
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 24 02:28:49 2022 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Jun 24 02:28:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63b4524a

dev-python/git-review: 2.3.1 bump

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/git-review/Manifest                |  1 +
 dev-python/git-review/git-review-2.3.1.ebuild | 34 +++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-python/git-review/Manifest b/dev-python/git-review/Manifest
index acc6ae826514..da74fff27a82 100644
--- a/dev-python/git-review/Manifest
+++ b/dev-python/git-review/Manifest
@@ -1 +1,2 @@
 DIST git-review-2.3.0.tar.gz 66005 BLAKE2B b074811614093058525ec817770d9d1d0d0adc4f154ec7a8882406c1954672063e3cd58df28d0ce17735b5a135f0a6be97657207e16dbe8b7719e9b6f77aea28 SHA512 841ea039e73e2571ee01ba08781d82c5ee0c136be092d2f7ff44e59284f2e77d57537ef5aef3eaf24a0f93f63106fd2404e1ec89745a723386944b5e0b32faf0
+DIST git-review-2.3.1.tar.gz 66400 BLAKE2B 67b2bf60e91a127144995231b94a48eaa03cfe8cb8e27513183f21b4cae1fbe2eeaa00a23d21da2dd7258aa794ce4cb0ee06e91510d707116699da1702bbebac SHA512 b3fe0ab40c473c80da20c42b4104e82115c9ea02bda01580aedb69622e117d733160eb42027432eec12379250186ea7b6f9eb4cb86b128a591816243a0c0fadc

diff --git a/dev-python/git-review/git-review-2.3.1.ebuild b/dev-python/git-review/git-review-2.3.1.ebuild
new file mode 100644
index 000000000000..16e5454edee8
--- /dev/null
+++ b/dev-python/git-review/git-review-2.3.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tool to submit code to Gerrit"
+HOMEPAGE="https://git.openstack.org/cgit/openstack-infra/git-review"
+if [[ ${PV} == 9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://opendev.org/opendev/${PN}.git"
+else
+	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86 ~x64-cygwin ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+BDEPEND="
+	>=dev-python/pbr-4.1.0[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	>=dev-python/requests-1.1[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+	sed -i -e '/manpages/,+1d' setup.cfg || die
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2022-06-24  2:29 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-24  2:29 Matthew Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-13 15:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/git-review/ Matthew Thode
2024-04-06 12:37 Michał Górny
2024-04-06 10:10 Arthur Zamarin
2024-04-06  9:35 Michał Górny
2024-03-19  7:20 Michał Górny
2023-05-03 15:14 Matthew Thode
2023-03-17 15:29 Michał Górny
2023-03-17 15:21 Michał Górny
2022-10-18  3:02 Sam James
2022-07-25  7:14 Michał Górny
2022-07-24 19:13 Sam James
2022-05-21 19:25 Michał Górny
2022-05-21 17:35 Jakov Smolić
2022-05-21 17:35 Jakov Smolić
2022-04-19  8:45 Michał Górny
2021-12-31 20:21 Matthew Thode
2021-12-29 16:58 Matthew Thode
2021-12-29  4:53 Matthew Thode
2021-12-29  3:26 Matthew Thode
2021-10-17  8:23 Michał Górny
2021-06-01  6:59 Agostino Sarubbo
2021-06-01  6:32 Agostino Sarubbo
2021-04-25 18:31 Matthew Thode
2020-10-16  2:04 Matthew Thode
2020-02-17 21:51 Matthew Thode
2020-02-17 21:51 Matthew Thode
2020-01-17 16:05 Matthew Thode
2019-06-24 13:51 Michael Haubenwallner
2018-11-01 15:48 Matthew Thode
2018-10-04 14:21 Matthew Thode
2018-02-20 16:29 Matt Thode
2018-01-20 18:52 Matt Thode
2015-11-18  8:57 Agostino Sarubbo
2015-11-17  9:59 Agostino Sarubbo
2015-09-19 15:06 Agostino Sarubbo
2015-09-03  3:57 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1656037729.63b4524a5b2a5a49584c4281a57205402c545f08.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox